using NUnit.Framework;

namespace Tests;

[SetUpFixture]
public class GlobalSetup
{
    [OneTimeSetUp]
    public async Task GlobalStart()
    {
        if (Environment.GetEnvironmentVariable("RUN_AGAINST_PRODUCTION") != "true") await LocalServer.StartAsync();
    }

    [OneTimeTearDown]
    public void GlobalStop()
    {
        LocalServer.Stop();
    }
}